Name:belen
Version:0.1
Release:4%{?dist}
Summary:GUI down-loader for Linux
License:GPLv3
URL:https://github.com/n0oir/belen
Source0:https://n0oir.fedorapeople.org/%{name}-%{version}.tar.gz
BuildArch:noarch
BuildRequires: desktop-file-utils, ruby-devel
Requires: ruby(release), youtube-dl, rubygem-gtk3


%description
Belen is a graphical interface of command YouTube d l for Linux
it's made in Ruby and Gtk+3 and with this you can download
multimedia content from many sites


%prep
%setup -q

%build

%install
install -Dm 0755 %{name}.rb %{buildroot}%{_bindir}/%{name}

#icons
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 %{name}.png %buildroot/%{_datadir}/pixmaps/

desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{name}.desktop


%files
%doc LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Oct 16 2014 n0oir <morel.riquelme@gmail.com> 0.1-4
- Added desktop.file
* Tue Oct 14 2014 n0oir <morel.riquelme@gmail.com> 0.1-3
- Fixed spec file
* Thu Oct  9 2014 n0oir <morel.riquelme@gmail.com> 0.1-2
- Initial release
* Thu Oct 9 2014 n0oir <morel.riquelme@gmail.com> 0.1-2
- Fixed spec warning mixed-use-of-spaces-and-tabs

